From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-wm/lwm/
Date: Tue, 9 May 2017 21:52:05 +0000 (UTC) [thread overview]
Message-ID: <1494366721.c0ec0343c4f653126f27768902f86c6492f92ec0.monsieurp@gentoo> (raw)
commit: c0ec0343c4f653126f27768902f86c6492f92ec0
Author: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Mon May 8 21:37:07 2017 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Tue May 9 21:52:01 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c0ec0343
x11-wm/lwm: EAPI 6 bump.
Package-Manager: Portage-2.3.3, Repoman-2.3.1
x11-wm/lwm/lwm-1.2.3-r1.ebuild | 50 ++++++++++++++++++++++++++++++++++++++++++
1 file changed, 50 insertions(+)
diff --git a/x11-wm/lwm/lwm-1.2.3-r1.ebuild b/x11-wm/lwm/lwm-1.2.3-r1.ebuild
new file mode 100644
index 00000000000..e9c2c04cd62
--- /dev/null
+++ b/x11-wm/lwm/lwm-1.2.3-r1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="The ultimate lightweight window manager"
+SRC_URI="http://www.jfc.org.uk/files/lwm/${P}.tar.gz"
+HOMEPAGE="http://www.jfc.org.uk/software/lwm.html"
+
+KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~x86-fbsd"
+LICENSE="GPL-2"
+SLOT="0"
+
+RDEPEND="
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXext
+"
+
+DEPEND="
+ ${RDEPEND}
+ x11-misc/imake
+ x11-proto/xextproto
+ x11-proto/xproto
+"
+
+DOCS=( AUTHORS BUGS ChangeLog )
+
+src_prepare() {
+ default
+ sed -i -e "s#(SMLIB)#& -lICE#g" Imakefile || die #370127
+ xmkmf || die
+}
+
+src_compile() {
+ emake \
+ EXTRA_LDOPTIONS="${CFLAGS} ${LDFLAGS}" \
+ CFLAGS="${CFLAGS}" \
+ CC="$(tc-getCC)" \
+ "${PN}"
+}
+
+src_install() {
+ dobin "${PN}"
+ newman "${PN}.man" "${PN}.1"
+ einstalldocs
+}
next reply other threads:[~2017-05-09 21:52 UTC|newest]
Thread overview: 12+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-05-09 21:52 Patrice Clement [this message]
-- strict thread matches above, loose matches on Subject: below --
2017-05-09 21:52 [gentoo-commits] repo/gentoo:master commit in: x11-wm/lwm/ Patrice Clement
2017-05-10 13:01 Jeroen Roovers
2018-03-31 23:41 Aaron Bauman
2018-04-15 14:41 Sergei Trofimovich
2018-04-17 20:27 David Seifert
2021-04-15 6:39 Joonas Niilola
2022-09-30 11:02 Ionen Wolkens
2022-09-30 11:02 Ionen Wolkens
2022-10-11 8:56 Ionen Wolkens
2022-10-20 3:54 Sam James
2022-10-21 12:48 Ionen Wolkens
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1494366721.c0ec0343c4f653126f27768902f86c6492f92ec0.monsieurp@gentoo \
--to=monsieurp@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox